# SRC/ilu_heap_relax_snode.c File Reference

Identify the initial relaxed supernodes. More...

`#include "slu_ddefs.h"`

## Functions
void | ilu_heap_relax_snode (const int n, int *et, const int relax_columns, int *descendants, int *relax_end, int *relax_fsupc)

## Detailed Description

     -- SuperLU routine (version 4.0) --
     Lawrence Berkeley National Laboratory
     June 1, 2009

## Function Documentation

void ilu_heap_relax_snode | ( | const int | n,
|  | int * | et,
|  | const int | relax_columns,
|  | int * | descendants,
|  | int * | relax_end,
|  | int * | relax_fsupc |
| ) |  |  |

     Purpose
     =======
        ilu_heap_relax_snode() - Identify the initial relaxed supernodes,
        assuming that the matrix has been reordered according to the postorder
        of the etree.